Explode Method

Back to Methods Reference

Explodes the compound object into subentities.

Signature

VBA : RetVal = object.Explode

VL : RetVal = (vla-Explode object)

(vla-Explode obj)

  • Object : 3DPolyline , BlockRef, LightweightPolyline, MInsertBlock, Polygonmesh, Polyline, Region
    The object or objects this method applies to.

  • RetVal : Variant (array of objects)
    The array of exploded objects.

Remarks

Depending on the type of compound object you're exploding, different results occur. Refer to the EXPLODE command topic in the AutoCAD Command Reference for a detailed list of explodable objects and their results.

You do not have to explode a block in order to manipulate its constituent entities. All block definitions have an Item method that allow you to manaipulte the entities within the block without exploding the block definition itself.

Example :


(defun c:al-explode ()

(vl-load-com)

(setq util (vla-get-utility 
                   (vla-get-activedocument 
                        (vlax-get-acad-object))))
                        
(vla-getentity util 'obj 'ip "\nSelect Object: ")

(setq objs (vla-Explode obj))

(princ objs)

(princ)

);defun

 
The AutoLisp/Visual Lisp/VBA Resource Website
Google
Search the WWW Search AfraLisp

Copyright © 1999-Perpetuity by AfraLisp

All rights reserved.
Information in this document is subject to change without notice.
Site created and maintained by Kenny Ramage

The AutoLisp/Visual Lisp/VBA Resource Website